Subject: Re: bug#43791: cuirass: Search queries are too slow.
From: Mathieu Othacehe <[email-masked]>
To: [email-masked]
Date: Mon, 05 Oct 2020 15:02:27 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> However, searching for 'hurd-barebones.qcow2%' also skips the index.

That's because the index was not created in case insensitive mode.

I dropped support for searching with "^" and "$" characters as this is
not compatible with using an index and hence way too slow.

The new search behaviour is to remove any "%" that could be added by the
user, and add one at the end of the query. It should be enough for the
modest search needs in Cuirass and reasonable in term of performance
(< 10 ms).

Anyway, fixed with: 930c2f315c6a9768d31a80d35d2a2550b588deaa.

Thanks,

Mathieu